Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::color_rgba_parser Struct Reference

`#include <openvrml/x3d_vrml_grammar.h>`

List of all members.

## Detailed Description

The implementation of the `openvrml::color_rgba_p` functor parser.

## Public Types

typedef openvrml::color_rgba | result_t
| Parse result.

## Public Member Functions

template<typename ScannerT>
std::ptrdiff_t | operator() (const ScannerT &scan, result_t &result) const
| Parse an RGBA color value.

## Member Typedef Documentation

openvrml::color_rgba openvrml::color_rgba_parser::result_t

Parse result.

## Member Function Documentation

template<typename ScannerT>

std::ptrdiff_t openvrml::color_rgba_parser::operator() | ( | const ScannerT & | scan,
|  | result_t & | result |
| ) |  |  | const`[inline]`

Parse an RGBA color value.

Parameters:

  `[in]` | scan | a scanner.
  `[out]` | result | the parse result.